Loading...
Searching...
No Matches
XrdSsiResponder.cc File Reference
`#include "XrdSsi/XrdSsiAtomics.hh"`
`#include "XrdSsi/XrdSsiResponder.hh"`
`#include "XrdSsi/XrdSsiRRAgent.hh"`
Include dependency graph for XrdSsiResponder.cc:

Go to the source code of this file.

## Macros

#define | SSI_VAL_RESPONSE
#define | SSI_XEQ_RESPONSE

## Macro Definition Documentation

## SSI_VAL_RESPONSE

#define SSI_VAL_RESPONSE

Value:
spMutex.Lock();\
if (!reqP)\
{spMutex.UnLock(); return notActive;}\
reqP->rrMutex->Lock();\
if (reqP->theRespond != this)\
{reqP->rrMutex->UnLock(); spMutex.UnLock();\
return notActive;\
}\
if (reqP->Resp.rType)\
{reqP->rrMutex->UnLock(); spMutex.UnLock();\
return notPosted;\
}

Definition at line 38 of file XrdSsiResponder.cc.

#define SSI_VAL_RESPONSE spMutex.Lock();\
if (!reqP)\
{spMutex.UnLock(); return notActive;}\
reqP->rrMutex->Lock();\
if (reqP->theRespond != this)\
{reqP->rrMutex->UnLock(); spMutex.UnLock();\
return notActive;\
}\
if (reqP->Resp.rType)\
{reqP->rrMutex->UnLock(); spMutex.UnLock();\
return notPosted;\
}

Referenced by XrdSsiResponder::SetErrResponse(), XrdSsiResponder::SetResponse(), XrdSsiResponder::SetResponse(), and XrdSsiResponder::SetResponse().

## SSI_XEQ_RESPONSE

#define SSI_XEQ_RESPONSE

Value:
if (reqP->onClient)\
{XrdSsiRequest *rX = reqP;\
reqP->rrMutex->UnLock(); spMutex.UnLock();\
return (rX->ProcessResponse(rX->errInfo,rX->Resp)\
? wasPosted : notActive);\
} else {\
bool isOK = reqP->ProcessResponse(reqP->errInfo,\
reqP->Resp);\
reqP->rrMutex->UnLock(); spMutex.UnLock();\
return (isOK ? wasPosted : notActive);\
}
XrdSsiMutex::UnLock
void UnLock()
Definition XrdSsiAtomics.hh:117
XrdSsiRequest
Definition XrdSsiRequest.hh:71
XrdSsiRequest::ProcessResponse
virtual bool ProcessResponse(const XrdSsiErrInfo &eInfo, const XrdSsiRespInfo &rInfo)=0

Definition at line 51 of file XrdSsiResponder.cc.

#define SSI_XEQ_RESPONSE if (reqP->onClient)\
{XrdSsiRequest *rX = reqP;\
reqP->rrMutex->UnLock(); spMutex.UnLock();\
return (rX->ProcessResponse(rX->errInfo,rX->Resp)\
? wasPosted : notActive);\
} else {\
bool isOK = reqP->ProcessResponse(reqP->errInfo,\
reqP->Resp);\
reqP->rrMutex->UnLock(); spMutex.UnLock();\
return (isOK ? wasPosted : notActive);\
}

Referenced by XrdSsiResponder::SetErrResponse(), XrdSsiResponder::SetResponse(), XrdSsiResponder::SetResponse(), and XrdSsiResponder::SetResponse().